%{?nodejs_find_provides_and_requires}

%global packagename domain-browser
%global enable_tests 0

Name: nodejs-%{packagename}
Version: 1.1.7
Release: 1%{?dist}.3
Summary: Node's domain module for the web browser
License: MIT
URL: https://github.com/bevry/domain-browser
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
%if 0%{?enable_tests}
BuildRequires: npm(assert-helpers) >= 4.1.0
BuildRequires: npm(assert-helpers) < 5.0.0
BuildRequires: npm(joe) >= 1.6.0
BuildRequires: npm(joe) < 2.0.0
%endif

%description
Node's domain module for the web browser.
This is merely an evented try...catch with the same API as node, nothing more.


%prep
%setup -q -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node --harmony ./test.js
%endif


%files
%license LICENSE.md
%doc README.md HISTORY.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Sep 24 2016 Oleg Girko <ol@infoserver.lv> - 1.1.7-1
- Initial package.
